Bug 1687801 - pxeboot images not downloading - Error -3 while decompressing: incorrect header check
Summary: pxeboot images not downloading - Error -3 while decompressing: incorrect head...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Pulp
Version: 6.4
Hardware: All
OS: All
high
urgent with 1 vote vote
Target Milestone: 6.6.0
Assignee: satellite6-bugs
QA Contact: Brian Herring
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-03-12 12:30 UTC by roarora
Modified: 2020-01-06 15:02 UTC (History)
23 users (show)

Fixed In Version: pulp-2.19.1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1756047 (view as bug list)
Environment:
Last Closed: 2019-10-22 12:47:16 UTC
Target Upstream Version:


Attachments (Terms of Use)
hf-1687801.tar (910.00 KB, application/x-tar)
2019-08-14 17:11 UTC, Mike McCune
no flags Details
hf-6.4.4-1687801.tar.gz (900.00 KB, application/x-tar)
2019-08-16 20:59 UTC, Mike McCune
no flags Details


Links
System ID Priority Status Summary Last Updated
Pulp Redmine 4603 Normal CLOSED - CURRENTRELEASE pulp_streamer streams decodes responses, but sends the 'gzip' Content-Encoding header 2019-05-30 17:02:03 UTC
Red Hat Product Errata RHSA-2019:3172 None None None 2019-10-22 12:47:28 UTC

Description roarora 2019-03-12 12:30:09 UTC
Description of problem:
During kickstart repository sync pxeboot images [initrd.img and vmlinuz] are not downloading 

Pulp Logs : 
Mar 05 11:20:03 satellite.example.com pulp[50927]: pulp.server.controllers.repository:INFO: Download of /var/lib/pulp/content/units/distribution/43/68d01d22cef0f2a50c9bc17de7e77f3d4ebde5e7c1243bcd774bfed4bf3733/images/pxeboot/initrd.img failed: ('Received response with content-encoding: gzip, but failed to decode it.', error('Error -3 while decompressing: incorrect header check',)).
Mar 05 11:20:05 satellite.example.com pulp[50927]: pulp.server.controllers.repository:INFO: Download of /var/lib/pulp/content/units/distribution/43/68d01d22cef0f2a50c9bc17de7e77f3d4ebde5e7c1243bcd774bfed4bf3733/images/pxeboot/vmlinuz failed: ('Received response with content-encoding: gzip, but failed to decode it.', error('Error -3 while decompressing: incorrect header check',)).



How reproducible:
Sometimes but not always

Comment 15 pulp-infra@redhat.com 2019-03-29 13:31:39 UTC
The Pulp upstream bug status is at NEW. Updating the external tracker on this bug.

Comment 16 pulp-infra@redhat.com 2019-03-29 13:31:40 UTC
The Pulp upstream bug priority is at Normal. Updating the external tracker on this bug.

Comment 17 pulp-infra@redhat.com 2019-03-29 14:31:35 UTC
The Pulp upstream bug status is at ASSIGNED. Updating the external tracker on this bug.

Comment 18 pulp-infra@redhat.com 2019-04-02 13:04:06 UTC
The Pulp upstream bug status is at NEW. Updating the external tracker on this bug.

Comment 19 pulp-infra@redhat.com 2019-04-02 17:33:12 UTC
The Pulp upstream bug status is at ASSIGNED. Updating the external tracker on this bug.

Comment 20 pulp-infra@redhat.com 2019-04-02 18:01:21 UTC
The Pulp upstream bug status is at POST. Updating the external tracker on this bug.

Comment 24 pulp-infra@redhat.com 2019-04-14 22:40:23 UTC
The Pulp upstream bug status is at MODIFIED. Updating the external tracker on this bug.

Comment 25 pulp-infra@redhat.com 2019-04-14 23:01:35 UTC
All upstream Pulp bugs are at MODIFIED+. Moving this bug to POST.

Comment 27 pulp-infra@redhat.com 2019-05-22 19:31:44 UTC
The Pulp upstream bug status is at ON_QA. Updating the external tracker on this bug.

Comment 28 pulp-infra@redhat.com 2019-05-30 17:02:04 UTC
The Pulp upstream bug status is at CLOSED - CURRENTRELEASE. Updating the external tracker on this bug.

Comment 32 Niloofar Radafshar 2019-08-12 18:50:04 UTC
Hi

We are impacted by this bug, is there any ETA to release the fix for satellite 6.5?

Comment 33 Mike McCune 2019-08-12 20:37:33 UTC
Niloofar,

we will work to include this in 6.5.3. If you would like to request a hotfix, please open a support case and we can likely get one created for you.

Comment 34 Mike McCune 2019-08-14 17:10:48 UTC
This hotfix applies to both the Satellite server and Capsules. Please ensure it is applied to both.

*** Satellite 6.5.2 Hotfix Available ***

1) Download  hf-1687801.tar from this bugzilla to your Satellite and Capsules

2) Install:

tar xvf hf-1687801.tar
rpm -Uvh *.rpm

3) restart:

satellite-maintain service restart

4) resume operations

Comment 35 Mike McCune 2019-08-14 17:11:28 UTC
Created attachment 1603868 [details]
hf-1687801.tar

Comment 38 Mike McCune 2019-08-16 20:59:19 UTC
This hotfix applies to both the Satellite server and Capsules. Please ensure it is applied to both.

*** Satellite 6.4.4 Hotfix Available ***

1) Download  hf-6.4.4-1687801.tar.gz from this bugzilla to your Satellite and Capsules

2) Install:

tar xvf hf-6.4.4-1687801.tar.gz
rpm -Uvh *.rpm

3) restart:

satellite-maintain service restart

4) resume operations

Comment 39 Mike McCune 2019-08-16 20:59:43 UTC
Created attachment 1605133 [details]
hf-6.4.4-1687801.tar.gz

Comment 41 Dominic Kohls 2019-08-21 09:57:12 UTC
Hey guys, 

we are affected from the same bug.

Aug 21 11:11:38 SATELLITE pulp[11135]: pulp.server.controllers.repository:INFO: Download of /var/lib/pulp/content/units/distribution/53/fd9ee153454ae71208d2db4e6d83a50/images/pxeboot/vmlinuz failed: ('Received response with content-encoding: gzip, but failed to decode it.', error('Error -3 while decompressing: incorrect header check',)).
Aug 21 11:11:38 SATELLITE pulp[11135]: pulp.server.controllers.repository:INFO: Download of /var/lib/pulp/content/units/distribution/53/fd9ee153454ae71208d2db4e6d83a50/images/pxeboot/initrd.img failed: ('Received response with content-encoding: gzip, but failed to decode it.', error('Error -3 while decompressing: incorrect header check',)).
Aug 21 11:11:38 SATELLITE pulp[11135]: pulp.server.controllers.repository:INFO: Download of /var/lib/pulp/content/units/distribution/53/fd9ee153454ae71208d2db4e6d83a50/images/pxeboot/	d.img failed: ('Received response with content-encoding: gzip, but failed to decode it.', error('Error -3 while decompressing: incorrect header check',)).


Iam wondering how its possible for me to install a new system via Satellite (host bootdisk) without the necessary kernel/initrd!?

Or does the satellite download the kernel/initrd to the directory and removes it after the ipxe-boot due to the 'incorrect header check'?

Best regards,

Dominic

Comment 43 errata-xmlrpc 2019-10-22 12:47:16 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:3172


Note You need to log in before you can comment on or make changes to this bug.